FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103010125.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103010125.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=186b215 OS_GIT_VERSION=4.7.0-202103010125.p0-186b215 SOURCE_DATE_EPOCH=1609947771 SOURCE_GIT_COMMIT=186b21520ddb0f1e29d3a709715369135fcaebcd SOURCE_GIT_TAG=v0.0.0-beta1-175-g186b215 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.7.0.20210301.020426
ENV __doozer=update BUILD_RELEASE=202103010125.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103010125.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=186b215 OS_GIT_VERSION=4.7.0-202103010125.p0-186b215 SOURCE_DATE_EPOCH=1609947771 SOURCE_GIT_COMMIT=186b21520ddb0f1e29d3a709715369135fcaebcd SOURCE_GIT_TAG=v0.0.0-beta1-175-g186b215 SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/termination-handler /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202103010125.p0" \
        io.openshift.build.commit.id="186b21520ddb0f1e29d3a709715369135fcaebcd" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/186b21520ddb0f1e29d3a709715369135fcaebcd" \
        version="v4.7.0"

